Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.bpmn2
Class BPMN2DataServiceImpl

    java.lang.Object
      org.jbpm.kie.services.impl.bpmn2.BPMN2DataServiceImpl

All Implemented Interfaces:
  DefinitionService

Direct Known Subclasses:
  BPMN2DataServiceCDIImpl, DefinitionServiceEJBImpl

    public class BPMN2DataServiceImpl

extends Object
implements DefinitionService

Constructor Summary
`BPMN2DataServiceImpl()`

Method Summary
`ProcessDefinition` | `buildProcessDefinition(String deploymentId, String bpmn2Content, ClassLoader classLoader, boolean cache)` Performs build operation for given bpmn2content to produce fully populated `ProcessDefinition`
`Map<String,Collection<String>>` | `getAssociatedEntities(String deploymentId, String processId)` Returns all organizational entities identifiers involved in the process - like users and groups.
`ProcessDefinition` | `getProcessDefinition(String deploymentId, String processId)` Returns previously built `ProcessDefinition`.
`Map<String,String>` | `getProcessVariables(String deploymentId, String processId)` Returns all process variables defined in the given process where: key in the map is name of the process variable value in the map is type of the process variable NOTE: This method assumes process has already been built by invoking `buildProcessDefinition` method
`org.drools.compiler.compiler.BPMN2ProcessProvider` | `getProvider(BPMN2DataServiceSemanticModule module)`
`Collection<String>` | `getReusableSubProcesses(String deploymentId, String processId)` Returns collection of process identifiers of reusable processes used by given process.
`Map<String,String>` | `getServiceTasks(String deploymentId, String processId)` Returns service (domain specific) tasks defined in the process where: key in the map is name of the task node value in the map is name of the domain specific service (name that handler should be registered with) NOTE: This method assumes process has already been built by invoking `buildProcessDefinition` method
`Map<String,String>` | `getTaskInputMappings(String deploymentId, String processId, String taskName)` Returns map of data input defined for given user task key in the map is identifier of dataInput value in the map is name dataInput NOTE: This method assumes process has already been built by invoking `buildProcessDefinition` method
`Map<String,String>` | `getTaskOutputMappings(String deploymentId, String processId, String taskName)` Returns map of data output defined for given user task key in the map is identifier of dataOutput value in the map is name dataOutput NOTE: This method assumes process has already been built by invoking `buildProcessDefinition` method
`Collection<UserTaskDefinition>` | `getTasksDefinitions(String deploymentId, String processId)` Returns all user task definitions defined in given process NOTE: This method assumes process has already been built by invoking `buildProcessDefinition` method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BPMN2DataServiceImpl

    public BPMN2DataServiceImpl()

Method Detail

### getProvider

    public org.drools.compiler.compiler.BPMN2ProcessProvider getProvider(BPMN2DataServiceSemanticModule module)

### buildProcessDefinition

    public ProcessDefinition buildProcessDefinition(String deploymentId,
                                                    String bpmn2Content,
                                                    ClassLoader classLoader,
                                                    boolean cache)
                                             throws IllegalArgumentException

  Description copied from interface: `DefinitionService`
  Performs build operation for given bpmn2content to produce fully populated `ProcessDefinition`

  Specified by:
    `buildProcessDefinition` in interface `DefinitionService`
  Parameters:
    `deploymentId` - identifier of deployment this process belongs to, might be null if built definition does not need to be stored
    `bpmn2Content` - actual BPMN xml content as string to be parsed and processed
    `classLoader` - class loader that should be used while parsing the BPMN2 in case custom classes are referenced
    `cache` - indicates if the definition service should cache this `ProcessDefinition`
  Returns:
    fully populated `ProcessDefinition`
  Throws:
    `IllegalArgumentException` - in case build operation cannot be completed

### getServiceTasks

    public Map<String,String> getServiceTasks(String deploymentId,
                                              String processId)

  Description copied from interface: `DefinitionService`
  Returns service (domain specific) tasks defined in the process where:
  - key in the map is name of the task node
  - value in the map is name of the domain specific service (name that handler should be registered with)
  NOTE: This method assumes process has already been built by invoking `buildProcessDefinition` method

  Specified by:
    `getServiceTasks` in interface `DefinitionService`
  Parameters:
    `deploymentId` - identifier of deployment that process belongs to
    `processId` - identifier of the process
  Returns:
    returns map of all found service tasks or empty map if none found

### getProcessDefinition

    public ProcessDefinition getProcessDefinition(String deploymentId,
                                                  String processId)

  Description copied from interface: `DefinitionService`
  Returns previously built `ProcessDefinition`.
  NOTE: This method assumes process has already been built by invoking `buildProcessDefinition` method

  Specified by:
    `getProcessDefinition` in interface `DefinitionService`
  Parameters:
    `deploymentId` - identifier of deployment that process belongs to
    `processId` - identifier of the process
  Returns:
    returns complete `ProcessDefinition` if found otherwise null

### getReusableSubProcesses

    public Collection<String> getReusableSubProcesses(String deploymentId,
                                                      String processId)

  Description copied from interface: `DefinitionService`
  Returns collection of process identifiers of reusable processes used by given process.
  NOTE: This method assumes process has already been built by invoking `buildProcessDefinition` method

  Specified by:
    `getReusableSubProcesses` in interface `DefinitionService`
  Parameters:
    `deploymentId` - identifier of deployment that process belongs to
    `processId` - identifier of the process
  Returns:
    returns collection of found reusable subprocess identifiers, maybe an empty list if none were found

### getProcessVariables

    public Map<String,String> getProcessVariables(String deploymentId,
                                                  String processId)

  Description copied from interface: `DefinitionService`
  Returns all process variables defined in the given process where:
  - key in the map is name of the process variable
  - value in the map is type of the process variable
  NOTE: This method assumes process has already been built by invoking `buildProcessDefinition` method

  Specified by:
    `getProcessVariables` in interface `DefinitionService`
  Parameters:
    `deploymentId` - identifier of deployment that process belongs to
    `processId` - identifier of the process
  Returns:
    map of all process variables defined or empty map in none found

### getAssociatedEntities

    public Map<String,Collection<String>> getAssociatedEntities(String deploymentId,
                                                                String processId)

  Description copied from interface: `DefinitionService`
  Returns all organizational entities identifiers involved in the process - like users and groups. Since this is based on definition and not runtime it can return references to process variables
  NOTE: This method assumes process has already been built by invoking `buildProcessDefinition` method

  Specified by:
    `getAssociatedEntities` in interface `DefinitionService`
  Parameters:
    `deploymentId` - identifier of deployment that process belongs to
    `processId` - identifier of the process
  Returns:
    returns map of all found organizational entities grouped by task they are assigned to

### getTasksDefinitions

    public Collection<UserTaskDefinition> getTasksDefinitions(String deploymentId,
                                                              String processId)

  Description copied from interface: `DefinitionService`
  Returns all user task definitions defined in given process
  NOTE: This method assumes process has already been built by invoking `buildProcessDefinition` method

  Specified by:
    `getTasksDefinitions` in interface `DefinitionService`
  Parameters:
    `deploymentId` - identifier of deployment that process belongs to
    `processId` - identifier of the process
  Returns:
    returns collection of `UserTaskDefinition`s or empty collection if none were found

### getTaskInputMappings

    public Map<String,String> getTaskInputMappings(String deploymentId,
                                                   String processId,
                                                   String taskName)

  Description copied from interface: `DefinitionService`
  Returns map of data input defined for given user task
  - key in the map is identifier of dataInput
  - value in the map is name dataInput
  NOTE: This method assumes process has already been built by invoking `buildProcessDefinition` method

  Specified by:
    `getTaskInputMappings` in interface `DefinitionService`
  Parameters:
    `deploymentId` - identifier of deployment that process belongs to
    `processId` - identifier of the process
    `taskName` - name of a task the data input should be collected for
  Returns:
    returns map of found data inputs or empty map if none were found

### getTaskOutputMappings

    public Map<String,String> getTaskOutputMappings(String deploymentId,
                                                    String processId,
                                                    String taskName)

  Description copied from interface: `DefinitionService`
  Returns map of data output defined for given user task
  - key in the map is identifier of dataOutput
  - value in the map is name dataOutput
  NOTE: This method assumes process has already been built by invoking `buildProcessDefinition` method

  Specified by:
    `getTaskOutputMappings` in interface `DefinitionService`
  Parameters:
    `deploymentId` - identifier of deployment that process belongs to
    `processId` - identifier of the process
    `taskName` - name of a task the data output should be collected for
  Returns:
    returns map of found data outputs or empty map if none were found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.